%define         _state          stable
%define		orgname		libkdeedu
%define         qtver           4.8.0

Summary:	KDcraw libary
Summary(pl.UTF-8):	Biblioteka KDcraw
Name:		kde4-libkdeedu
Version:	4.9.0
Release:	1
License:	GPL v2+
Group:		X11/Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	6d563265cfe021641c996007e45c3a76
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	phonon-devel
BuildRequires:	rpmbuild(macros) >= 1.164
Obsoletes:	libkdeedu < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Edu library.

%description -l pl.UTF-8
Biblioteka KDE Edu.

%package devel
Summary:	Header files for libkdeedu development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających libkdeedu
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kdeedu-devel < 4.8.0

%description devel
Header files for libkdeedu development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających libkdeedu.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libkeduvocdocument.so.?
%attr(755,root,root) %{_libdir}/libkeduvocdocument.so.*.*.*
%{_datadir}/apps/kvtml
%{_iconsdir}/hicolor/*x*/actions/*.png
%{_iconsdir}/hicolor/scalable/actions/*.svgz

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkeduvocdocument.so
%{_includedir}/libkdeedu
%{_libdir}/cmake/libkdeedu
%{_libdir}/libqtmmlwidget.a
%changelog
* Sun Jul 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7456584
- up to 4.9.0

* Thu Mar 08 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> db17659
- flat xz layout was used in final version

* Sat Mar 03 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> edc1918
- up to 4.8.1

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 46025c5
- now as kde4-libkdeedu

* Thu Jan 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 14ec82c
- up to 4.8.0

* Sat Dec 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ec1a69
- up to 4.7.4

* Sat Oct 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2294b2e
- up to 4.7.3

* Mon Oct 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c4aa58
- up to 4.7.2

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f36ea78
- rel 2

* Fri Sep 02 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f0a51b
- up to 4.7.1

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a76b89
O: kde4-kdeedu-devel

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d057980
- update BR

* Wed Jul 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> adc7206
- initial; kde 4.7.0

